package com.lightinit.hsdataplatformresdir.json.pojo.actviemq;

import jdk.nashorn.internal.ir.annotations.Ignore;
import org.codehaus.jackson.annotate.JsonProperty;

import java.util.List;
import java.util.Map;

/**
 * Created by Mr.Yao on 2018/1/2.
 */
public class QueuesBrowsRequest {
    @Ignore
    @JsonProperty("request")
    private Map<String,String> request;
    @Ignore
    @JsonProperty("value")
    private List<Map<String,String>> value;
    @Ignore
    @JsonProperty("timestamp")
    private long timestamp;
    @Ignore
    @JsonProperty("status")
    private int status;

    public Map<String, String> getRequest() {
        return request;
    }

    public void setRequest(Map<String, String> request) {
        this.request = request;
    }

    public List<Map<String, String>> getValue() {
        return value;
    }

    public void setValue(List<Map<String, String>> value) {
        this.value = value;
    }

    public long getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(long timestamp) {
        this.timestamp = timestamp;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }
}
